
local my_ctld = CTLD:New(
    coalition.side.BLUE,
    {
        "Dustoff-1-1",
        "Dustoff-1-2",
        "Dustoff-1-3",
        "Dustoff-1-4",
        "Misfit-1-1",
        "Misfit-1-2",
        "Misfit-1-3",
        "Misfit-1-4",
        "Jumbo-1-1",
        "Jumbo-1-2",
        "Jumbo-1-3",
        "Jumbo-1-4",
    },
    "CTLD"
)

-- Airbase Zones
my_ctld:AddCTLDZone("CTLD-1",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,true,true)
my_ctld:AddCTLDZone("CTLD-2",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,true,true)
my_ctld:AddCTLDZone("CTLD-3",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,true,true)
my_ctld:AddCTLDZone("CTLD-4",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,true,true)
my_ctld:AddCTLDZone("CTLD-5",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,true,true)

-- Ship Zones
my_ctld:AddCTLDZone("CVN-72 Abraham Lincoln",CTLD.CargoZoneType.SHIP,SMOKECOLOR.Blue,true,true,340,90)
my_ctld:AddCTLDZone("Tarawa",CTLD.CargoZoneType.SHIP,SMOKECOLOR.Blue,true,true,150,50)
my_ctld:AddCTLDZone("USS Ford FFG-54",CTLD.CargoZoneType.SHIP,SMOKECOLOR.Blue,true,true,137,13)
my_ctld:AddCTLDZone("USS Reuben James FFG-57",CTLD.CargoZoneType.SHIP,SMOKECOLOR.Blue,true,true,137,13)
my_ctld:AddCTLDZone("USS Normandy CG-60",CTLD.CargoZoneType.SHIP,SMOKECOLOR.Blue,true,true,170,17)
my_ctld:AddCTLDZone("USS Michael Murphy DDG-112",CTLD.CargoZoneType.SHIP,SMOKECOLOR.Blue,true,true,155,20)
my_ctld:AddCTLDZone("USS Port Royal CG-73",CTLD.CargoZoneType.SHIP,SMOKECOLOR.Blue,true,true,170,17)

-- Troops
my_ctld:AddTroopsCargo("Infantry Squad",{"Infantry Squad"},CTLD_CARGO.Enum.TROOPS,9)
my_ctld:AddTroopsCargo("Infantry Team",{"Infantry Fireteam"},CTLD_CARGO.Enum.TROOPS,5)

-- Light/Recon
my_ctld:AddCratesCargo("Humvee",{"Humvee"},CTLD_CARGO.Enum.VEHICLE,1,2500,999,"Light/Reconnaisance")
my_ctld:AddCratesCargo("Humvee ATGM",{"Humvee ATGM"},CTLD_CARGO.Enum.VEHICLE,1,2750,999,"Light/Reconnaisance")
my_ctld:AddCratesCargo("Warrior IFV(2)",{"Warrior IFV"},CTLD_CARGO.Enum.VEHICLE,2,4000,999,"Light/Reconnaisance")

-- Armor
my_ctld:AddCratesCargo("M1A2 MBT",{"M1A2 MBT"},CTLD_CARGO.Enum.VEHICLE,1,15000,999,"Armor")
my_ctld:AddCratesCargo("M2A2 IFV",{"M2A2 IFV"},CTLD_CARGO.Enum.VEHICLE,1,13000,999,"Armor")
my_ctld:AddCratesCargo("Stryker MGS",{"Stryker MGS"},CTLD_CARGO.Enum.VEHICLE,1,10000,999,"Armor")

-- Equipment
my_ctld:AddCratesCargo("M939 Truck",{"AmmoTruck"},CTLD_CARGO.Enum.FOB,1,3000,999,"Armor")

-- Anti Air
my_ctld:AddCratesCargo("SPAAA - Vulcan(2)",{"SPAAA - Vulcan"},CTLD_CARGO.Enum.VEHICLE,2,3000,999,"Air Defense")
my_ctld:AddCratesCargo("SAM - Avenger(2)",{"SAM - Avenger"},CTLD_CARGO.Enum.VEHICLE,2,2000,999,"Air Defense")
my_ctld:AddCratesCargo("Rapier(5)",{"Rapier"},CTLD_CARGO.Enum.VEHICLE,5,1000,999,"Air Defense")
my_ctld:AddCratesCargo("Hawk(11)",{"Hawk"},CTLD_CARGO.Enum.VEHICLE,11,1000,999,"Air Defense")
my_ctld:AddCratesCargo("NASAMS(5)",{"SAM - NASAMS"},CTLD_CARGO.Enum.VEHICLE,5,3000,999,"Air Defense")
my_ctld:AddCratesCargo("Patriot Battery(20)",{"Patriot Battery"},CTLD_CARGO.Enum.VEHICLE,20,3000,999,"Air Defense")

-- Options
my_ctld.useprefix = false -- (DO NOT SWITCH THIS OFF UNLESS YOU KNOW WHAT YOU ARE DOING!) Adjust **before** starting CTLD. If set to false, *all* choppers of the coalition side will be enabled for CTLD.
my_ctld.CrateDistance = 350 -- List and Load crates in this radius only.
my_ctld.dropcratesanywhere = true -- Option to allow crates to be dropped anywhere.
my_ctld.maximumHoverHeight = 15 -- Hover max this high to load.
my_ctld.minimumHoverHeight = 4 -- Hover min this low to load.
my_ctld.forcehoverload = false -- Crates (not: troops) can **only** be loaded while hovering.
my_ctld.hoverautoloading = true -- Crates in CrateDistance in a LOAD zone will be loaded automatically if space allows.
my_ctld.smokedistance = 2000 -- Smoke or flares can be request for zones this far away (in meters).
my_ctld.movetroopstowpzone = true -- Troops and vehicles will move to the nearest MOVE zone...
my_ctld.movetroopsdistance = 5000 -- .. but only if this far away (in meters)
my_ctld.smokedistance = 10000 -- Only smoke or flare zones if requesting player unit is this far away (in meters)
my_ctld.suppressmessages = false -- Set to true if you want to script your own messages.
my_ctld.repairtime = 300 -- Number of seconds it takes to repair a unit.
my_ctld.cratecountry = country.id.GERMANY -- ID of crates. Will default to country.id.RUSSIA for RED coalition setups.
my_ctld.allowcratepickupagain = true  -- allow re-pickup crates that were dropped.
my_ctld.enableslingload = false -- allow cargos to be slingloaded - might not work for all cargo types
my_ctld.pilotmustopendoors = false -- -- force opening of doors

-- Capabilities
--["SA342Mistral"] = {type="SA342Mistral", crates=false, troops=true, cratelimit = 0, trooplimit = 4, length = 12},
--["SA342L"] = {type="SA342L", crates=false, troops=true, cratelimit = 0, trooplimit = 2, length = 12},
--["SA342M"] = {type="SA342M", crates=false, troops=true, cratelimit = 0, trooplimit = 4, length = 12},
--["SA342Minigun"] = {type="SA342Minigun", crates=false, troops=true, cratelimit = 0, trooplimit = 2, length = 12},
--["UH-1H"] = {type="UH-1H", crates=true, troops=true, cratelimit = 1, trooplimit = 8, length = 15},
--["Mi-8MT"] = {type="Mi-8MTV2", crates=true, troops=true, cratelimit = 2, trooplimit = 12, length = 15},
--["Ka-50"] = {type="Ka-50", crates=false, troops=false, cratelimit = 0, trooplimit = 0, length = 15},
--["Mi-24P"] = {type="Mi-24P", crates=true, troops=true, cratelimit = 2, trooplimit = 8, length = 18},
--["Mi-24V"] = {type="Mi-24V", crates=true, troops=true, cratelimit = 2, trooplimit = 8, length = 18},
--["Hercules"] = {type="Hercules", crates=true, troops=true, cratelimit = 7, trooplimit = 64, length = 25},

my_ctld:UnitCapabilities("UH-60L", true, true, 2, 10, 15)
my_ctld:UnitCapabilities("Mi-24P", true, true, 1, 8, 18)
my_ctld:UnitCapabilities("Mi-24V", true, true, 1, 8, 18)
my_ctld:UnitCapabilities("Mi-8MT", true, true, 2, 12, 15)
my_ctld:UnitCapabilities("Ka-50", true, false, 1, 0, 15)
my_ctld:UnitCapabilities("Hercules", true, true, 7, 64, 30)

my_ctld.enableHercules = true
my_ctld.HercMinAngels = 155 -- for troop/cargo drop via chute in meters, ca 470 ft
my_ctld.HercMaxAngels = 2000 -- for troop/cargo drop via chute in meters, ca 6000 ft
my_ctld.HercMaxSpeed = 77 -- 77mps or 270kph or 150kn

my_ctld.enableLoadSave = true -- allow auto-saving and loading of files
my_ctld.saveinterval = 600 -- save every 10 minutes
my_ctld.filename = "SnowfoxCTLD_CTLD_save.csv" -- example filename
my_ctld.filepath = "D:\\DCS World OpenBeta Server\\CTLD_Save" -- example path
my_ctld.eventoninject = true -- fire OnAfterCratesBuild and OnAfterTroopsDeployed events when loading (uses Inject functions)

my_ctld:__Start(5)

my_ctld:__Load(10)
